Debian Bug report logs - #596325
python-cogent: python2.5-dev used as build-dependency, not python-dev or python2.6-dev

version graph

Package: python-cogent; Maintainer for python-cogent is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for python-cogent is src:python-cogent.

Reported by: Matthias Klose <doko@debian.org>

Date: Fri, 10 Sep 2010 10:03:52 UTC

Severity: serious

Found in version python-cogent/1.4.1-1

Fixed in version python-cogent/1.4.1-1.1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#596325; Package python-cogent. (Fri, 10 Sep 2010 10:03:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 10 Sep 2010 10:03:55 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: python-cogent: python2.5-dev used as build-dependency, not python-dev or python2.6-dev
Date: Fri, 10 Sep 2010 09:58:21 +0000
Package: python-cogent
Version: 1.4.1-1
Severity: serious
User: debian-python@lists.debian.org
Usertag: python2.6

The package build-depends on python2.5-dev, which is not the default
python version for squeeze.  The package should be rebuilt with
python2.6, either build-depending on python-dev (recommended) or
python2.6-dev.




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sun, 12 Sep 2010 13:33:21 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sun, 12 Sep 2010 13:33:21 GMT) Full text and rfc822 format available.

Message #10 received at 596325-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 596325-close@bugs.debian.org
Subject: Bug#596325: fixed in python-cogent 1.4.1-1.1
Date: Sun, 12 Sep 2010 13:32:30 +0000
Source: python-cogent
Source-Version: 1.4.1-1.1

We believe that the bug you reported is fixed in the latest version of
python-cogent, which is due to be installed in the Debian FTP archive:

python-cogent_1.4.1-1.1.debian.tar.gz
  to non-free/p/python-cogent/python-cogent_1.4.1-1.1.debian.tar.gz
python-cogent_1.4.1-1.1.dsc
  to non-free/p/python-cogent/python-cogent_1.4.1-1.1.dsc
python-cogent_1.4.1-1.1_i386.deb
  to non-free/p/python-cogent/python-cogent_1.4.1-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596325@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python-cogent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Sep 2010 15:18:44 +0200
Source: python-cogent
Binary: python-cogent
Architecture: source i386
Version: 1.4.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 python-cogent - framework for genomic biology
Closes: 596325
Changes: 
 python-cogent (1.4.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Replace build-dependency on python2.5-dev with python-all-dev. Closes: #596325.
Checksums-Sha1: 
 05e1868e659852904e76a09a5002f7d2bae32e50 1486 python-cogent_1.4.1-1.1.dsc
 0bf05533f32e8e929180341f843aec103b87c5b5 4730 python-cogent_1.4.1-1.1.debian.tar.gz
 1731deda4c1b87fb3c021cd0a00c7c9385cc41b3 1468820 python-cogent_1.4.1-1.1_i386.deb
Checksums-Sha256: 
 3a1a81f3a0c190144c23a498a6b1faab577d7e3a402d06e1c2af98d98a256a24 1486 python-cogent_1.4.1-1.1.dsc
 bd6b993d286d4c7132d6ad336336b3a0fdd89ffaacc2101916a87d2b83b93713 4730 python-cogent_1.4.1-1.1.debian.tar.gz
 cde3d57279450edb8c792d5ca4120f88653886f40d5f01a55fe73829d838a9c4 1468820 python-cogent_1.4.1-1.1_i386.deb
Files: 
 e6130c8ef5efeae478e99facbe452401 1486 non-free/python extra python-cogent_1.4.1-1.1.dsc
 00992df734176ca88f4039a5cb99cf84 4730 non-free/python extra python-cogent_1.4.1-1.1.debian.tar.gz
 7ec46cb4b6632d2d9684c163580a3d76 1468820 non-free/python extra python-cogent_1.4.1-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyM1L8ACgkQStlRaw+TLJy7vgCfaZX2Rt/Wrk5hRPEC9qMaPOUr
aqsAnimXqWUoXHCQxXuqsyJmY796B71O
=cV8h
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Nov 2010 07:31:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:30:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.